<solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                [currentModel]="currentObs | async"
                                [deleteAvailable]="deleteAvailable"
                                [editAvailable]="editAvailable"
                                [keyBackButtonToTranslate]="labelTranslateEnum.backToJobDetail"
                                [listExtraButtons]="listExtraButtons"
                                [mode]="'detail'"
>
</solidify-button-toolbar-detail>

<div [solidifySpinner]="(isLoadingObs | async) || (isLoadingReportObs | async)"
     class="wrapper"
>
  <dlcm-preservation-planning-job-execution-form #formPresentational
                                                 *ngIf="isReadyToBeDisplayedObs | async"
                                                 [model]="currentObs | async"
                                                 [readonly]="true"
  ></dlcm-preservation-planning-job-execution-form>

  <h1>{{'preservation.jobExecution.report.title' | translate}}</h1>

  <solidify-data-table (queryParametersChange)="onQueryParametersEvent($event)"
                       (selectChange)="showReportDetail($event)"
                       [columns]="columns"
                       [data]="listReportObs | async"
                       [isLoading]="isLoadingReportObs | async"
                       [queryParameters]="queryParametersObs | async"
  >
  </solidify-data-table>
</div>


